LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cppu::AccessControl Class Reference

Helper class retriving access controller singleton from component context. More...

`#include <access_control.hxx>`

## Public Member Functions
inline::com::sun::star::uno::Reference < ::com::sun::star::security::XAccessController > const & | get () const SAL_THROW(())
| Returns access to the access controller reference being used. More...
inline::com::sun::star::security::XAccessController * | operator-> () const SAL_THROW(())
| Returns access to the access controller reference being used. More...

## Public Attributes
AccessControl(::com::sun::star::uno::Reference < ::com::sun::star::uno::XComponentContext > const &xContext) SAL_THROW((AccessControl(::com::sun::star::uno::Reference < ::com::sun::star::security::XAccessController > const &xController) SAL_THROW((AccessControl(::cppu::AccessControl const &ac) SAL_THROW((void | clear () SAL_THROW(())
| Ctor. More...

## Detailed Description

Helper class retriving access controller singleton from component context.

## Member Function Documentation

inline ::com::sun::star::uno::Reference< ::com::sun::star::security::XAccessController > const& cppu::AccessControl::get | ( |  | ) | const
| inline

Returns access to the access controller reference being used.

Returns
  access controller

inline ::com::sun::star::security::XAccessController* cppu::AccessControl::operator-> | ( |  | ) | const
| inline

Returns access to the access controller reference being used.

Returns
  access controller

## Member Data Documentation

AccessControl ( ::com::sun::star::uno::Reference< ::com::sun::star::uno::XComponentContext > const & xContext ) SAL_THROW( ( AccessControl ( ::com::sun::star::uno::Reference< ::com::sun::star::security::XAccessController > const & xController ) SAL_THROW( ( AccessControl ( ::cppu::AccessControl const & ac ) SAL_THROW( ( void cppu::AccessControl::clear() SAL_THROW(())
| inline

Ctor.

Parameters

  xContext | component context to retrieve access controller singletonCtor.
  xController | access controllerCopy ctor.
  ac | another objectClears the access controller reference being used.

The documentation for this class was generated from the following file:

- cppuhelper/access_control.hxx